# localization

Optional object containing localization strings. For example:

```
{
    "localization": {
       "cs": {
             "inPorts[0].inspector.inputs.body.label": "Textova zprava",
             "inPorts[0].inspector.inputs.from.label": "Cislo volajiciho",
             "inPorts[0].inspector.inputs.from.placeholder": "Hledej cislo"
       },
       "sk": {
             "inPorts[0].inspector.inputs.body.label": "Textova zprava",
             "inPorts[0].inspector.inputs.from.label": "Cislo volajiciho"
       }
   }
}
```

Unfortunately, you cannot localize output port option's label at the moment. Neither the input/output port name.

For more information about component localization, refer to [Custom Component Strings](/6.0/v4/customizing-ui/custom-component-strings.md#components-manifest-localization-object) section.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.appmixer.com/6.0/v4/component-definition/manifest/localization.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
